Bug 251673 - net-mgmt/cacti: Update to 1.2.16
Summary: net-mgmt/cacti: Update to 1.2.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/Cacti/cacti/releas...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-12-07 22:12 UTC by Michael Muenz
Modified: 2020-12-17 09:46 UTC (History)
1 user (show)

See Also:
kai: merge-quarterly+


Attachments
cacti 1.2.16 (91.75 KB, patch)
2020-12-07 22:12 UTC, Michael Muenz
m.muenz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2020-12-07 22:12:52 UTC
Created attachment 220359 [details]
cacti 1.2.16

Update to latest version

- portlint -A is happy
- poudriere builds fine pkg and update production env.
- poudriere testport runs without errors
Comment 1 Automation User 2020-12-09 01:41:59 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/226502352
Comment 2 commit-hook freebsd_committer 2020-12-16 12:17:44 UTC
A commit references this bug:

Author: kai
Date: Wed Dec 16 12:16:59 UTC 2020
New revision: 558224
URL: https://svnweb.freebsd.org/changeset/ports/558224

Log:
  net-mgmt/cacti: Update to 1.2.16

  Changelog:

  https://www.cacti.net/release_notes.php?version=1.2.16

  PR:		251673
  Submitted by:	Michael Muenz <m.muenz@gmail.com> (maintainer)

Changes:
  head/net-mgmt/cacti/Makefile
  head/net-mgmt/cacti/distinfo
  head/net-mgmt/cacti/files/patch-utilities.php
  head/net-mgmt/cacti/pkg-plist
Comment 3 Kai Knoblich freebsd_committer 2020-12-16 12:25:55 UTC
(In reply to Michael Muenz from comment #0)

Committed to the head branch, thank you for the patch! 

I left out most patches from the files/ directory, which only had slight offset deviations for the sake of brevity. So the only patch which really has changed was "patch-utilities.php".

Because the release contains many bugfixes it's also a candidate for MFH'ing into the 2020Q4 branch.
Comment 4 commit-hook freebsd_committer 2020-12-17 09:44:42 UTC
A commit references this bug:

Author: kai
Date: Thu Dec 17 09:44:05 UTC 2020
New revision: 558272
URL: https://svnweb.freebsd.org/changeset/ports/558272

Log:
  MFH: r558224

  net-mgmt/cacti: Update to 1.2.16

  Changelog:

  https://www.cacti.net/release_notes.php?version=1.2.16

  PR:		251673
  Submitted by:	Michael Muenz <m.muenz@gmail.com> (maintainer)

  Approved by:	ports-secteam bugfix blanket

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net-mgmt/cacti/Makefile
  branches/2020Q4/net-mgmt/cacti/distinfo
  branches/2020Q4/net-mgmt/cacti/files/patch-utilities.php
  branches/2020Q4/net-mgmt/cacti/pkg-plist
Comment 5 Kai Knoblich freebsd_committer 2020-12-17 09:46:15 UTC
Merged into the 2020Q4 branch, all done!